Subject: bug#64133: CC Mode 5.35.2 (C/*l); incorrect indentation for an arrays of structs.

From: Jeff Norden <[email-masked]>
Date: Wed, 21 Jun 2023 13:43:20 -0500

On Wed, Jun 21, 2023 at 5:39 AM Alan Mackenzie <[email-masked]> wrote:
> Hello again, Jeff.
>
> OK, here's the patch which I think fixes the bug completely.  Would you
> please apply this patch  ...   Then, please confirm that the bug is fixed, or
> tell me what's still not working.
Hi Alan,

Thanks for taking care of this so quickly.  The patch seems to work
perfectly for me.  I've tried it with 29.0.91 (2nd emacs-29 pretest)
and with my current git build of emacs from the master branch (which
is from June 11).  Patch gives differing "offset" messages, but all of
the "hunks" succeed in both cases.  I haven't built the 3rd emacs-29
pretest yet, but I can't foresee that there will be a problem.  I will
be using this some more over the next few days.  I'll post again if I
notice any issues, but I don't expect to.

-Jeff